# locale_classes.h File Reference

Go to the source code of this file.

## Classes

- class std::collate< _CharT >
    Facet for localized string comparison. More...
- class std::collate_byname< _CharT >
    class collate_byname [22.2.4.2]. More...
- class std::locale
    Container class for localization functionality.The locale class is first a class wrapper for C library locales. It is also an extensible container for user-defined localization. A locale is a collection of facets that implement various localization features such as money, time, and number printing. More...
- class std::locale::facet
    Localization functionality base class.The facet class is the base class for a localization feature, such as money, time, and number printing. It provides common support for facets and reference management. More...
- class std::locale::id
    Facet ID class.The ID class provides facets with an index used to identify them. Every facet class must define a public static member locale::id, or be derived from a facet that provides this member, otherwise the facet cannot be used in a locale. The locale::id ensures that each class type gets a unique identifier. More...

## Namespaces

- namespace std

## Functions

- template<typename _Facet > bool std::has_facet (const locale &__loc) throw ()
- template<typename _Facet > const _Facet & std::use_facet (const locale &__loc)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file locale_classes.h.